#
# spec file for package python-adal
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
Name:           python-adal
Version:        0.4.3
Release:        3.1
Summary:        Azure Active Directory library
License:        MIT
Group:          Development/Languages/Python
Url:            https://pypi.python.org/pypi/adal
Source:         adal-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-PyJWT >= 1.0.0
Requires:       python-requests >= 2.7.0
Requires:       python-dateutil >= 2.1.0
Requires:       python-cryptography >= 1.1.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
The ADAL for Python library makes it easy for python application to authenticate to
Azure Active Directory (AAD) in order to access AAD protected web resources.

%prep
%setup -q -n adal-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%fdupes %{buildroot}/%{python_sitelib}/*

%files
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Mon Dec 12 2016 ms@suse.com
- Include in SLE 12 (fate#322171, bsc#1014478)
* Mon Dec 12 2016 ms@suse.com
- Initial build
  + Version 0.4.3
